Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class SequenceRef

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.SequenceRef

public class SequenceRef
extends BaseObj
implements SeqEntry

spki SequenceRef class.

Formal definition:

     <seq-ref>:: "(" "ref" <seq-def-name> ")" ;

Version:
  $Id: SequenceRef.java,v 1.1 2002/05/10 07:07:59 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.
`private SeqDefName` | `name` The definition's name.
`static String` | `SEXP_NAME` This class S-Expression type name, used by toSExpression() and other methods.

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`SequenceRef()` Don't use me!
`SequenceRef(SeqDefName name)` Create an immutable SequenceRef object from given name.
`SequenceRef(SExpression sexp)` Create an immutable SequenceRef object from an S-Expression.

Method Summary
`SeqDefName` | `getDefName()`
`SExpression` | `toSExpression()` Build an SExpression representing this object.

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### SEXP_NAME

    public static final String SEXP_NAME

  This class S-Expression type name, used by toSExpression() and other methods.
  See Also:
    `toSExpression()`

### name

    private SeqDefName name

  The definition's name.

Constructor Detail

### SequenceRef

    public SequenceRef()

  Don't use me!

### SequenceRef

    public SequenceRef(SExpression sexp)
                throws ParseException,
                       SPKIException

  Create an immutable SequenceRef object from an S-Expression.
  Parameters:
    `sexp` - SExpression object containing existing SequenceRef object.
  Throws:
    ParseException - if some error occured during parsing.
    SPKIException - if some error occured during creation.

### SequenceRef

    public SequenceRef(SeqDefName name)
                throws SPKIException

  Create an immutable SequenceRef object from given name.
  Parameters:
    `name` - SeqDefName object representing the definition name.
  Throws:
    SPKIException - if some error occured during creation.

Method Detail

### toSExpression

    public SExpression toSExpression()
                              throws SPKIException

  Description copied from interface: SPKIObject
  Build an SExpression representing this object.
  Overrides:
    toSExpression in class BaseObj
  Tags copied from interface: SPKIObject
  Returns:
    SExpression object representing this object, or `null`.
  Throws:
    SPKIException - if something went wrong during conversion.

### getDefName

    public SeqDefName getDefName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD